#
# spec file for package rubygem-temple
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-temple
Version:        0.10.3
Release:        1.1
%define mod_name temple
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.5.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/judofyr/temple
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Template compilation framework in Ruby
License:        MIT

%description
Template compilation framework in Ruby.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGES LICENSE README.md" \
  -f

%gem_packages

%changelog
* Fri Nov  3 2023 Dan Čermák <dan.cermak@posteo.net>
- 0.10.3
  * Remove test files from the gem package (#146)
  * Add DynamicMerger filter (#147)
  0.10.2
  * Fix Sinatra capture_generator problem (#145)
  0.10.1
  * Use specified :capture_generator for nested captures (#112, #144)
  * Compatibility with frozen string literals
* Fri Apr 21 2023 Marcus Rueckert <mrueckert@suse.de>
- updated to version 0.10.0
  * Regression: Revert changes to :capture_generator since 0.8.2 (#112, #113, #137)
  * Regression: Ensure that output buffer is not reused for capturing in Rails (#135)
  * Drop support for Rails 4.x
* Fri Oct 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 0.9.1
  see installed CHANGES
  0.9.1
  * Fix Slim's error in AttributeMerger due to 0.9.0's :capture_generator (#137)
  * Fix Temple::ERB::Engine's <%%= to not escape and <%%== to escape expressions
  0.9.0
  * Require Ruby 2.5+ (#131)
  * Change default :capture_generator to self (#113)
  * Improve compatibility with Rails 7.1 (#135)
  * Support Rails 6.1's annotate_rendered_view_with_filenames
    with Temple::Filters::Ambles (#134)
  * Fix a crash in StringSplitter filter (#138)
  * Fix a warning by Object#=~ since Ruby 2.6 (#129)
  * Fix deprecated Tilt template mime type (#108)
  * Stop using deprecated EscapeUtils from Temple::Utils (#136)
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 0.8.2
  see installed CHANGES
  0.8.2
  * Support TruffleRuby in Temple::Filters::StaticAnalyzer (#127)
  * Support TruffleRuby in Temple::Filters::StringSplitter (#127)
* Thu Mar 14 2019 Stephan Kulow <coolo@suse.com>
- updated to version 0.8.1
  see installed CHANGES
  0.8.1
  * Stop relying on deprecated method in Rails (#121)
  * Fix issue with --enable-frozen-string-literal
  * Escape html in markdown
* Mon Feb 13 2017 coolo@suse.com
- updated to version 0.8.0
  see installed CHANGES
  0.8.0
  * Add Temple::StaticAnalyzer to analyze Ruby expressions
  * Support newlines in Temple::Filters::StaticAnalyzer
  0.7.8
  * Fix an warning in StaticAnalyzer
* Sun May 22 2016 coolo@suse.com
- updated to version 0.7.7
  see installed CHANGES
  0.7.7
  * Add StaticAnalyzer, StringSplitter
  * Freeze string literals
* Mon Jun  8 2015 coolo@suse.com
- updated to version 0.7.6
  see installed CHANGES
  0.7.6
  * EngineDSL - add support for use(:Filter) { FilterClassName }
* Sat Feb  7 2015 coolo@suse.com
- updated to version 0.7.5
  * HTML::Pretty Fix indentation issue (https://github.com/slim-template/slim-rails/issues/78)
  0.7.4
  * EngineDSL: allow to replace/remove with regexp
  * Fix deprecation warning (#83)
  0.7.3
  * Temple::ERB::Trimming - replace option trim_mode with trim and switch to erubis-like trimming
  0.7.2
  * Remove Filters::StaticFreezer, the generator does the freezing
  0.7.1
  * Rename *Hash to *Map
  * Add Filters::StaticFreezer
  0.7.0
  * Drop Ruby 1.8.7 support
  * EngineDSL: Remove option filter
  * HTML: Deprecate :html4, :html5 formats
  * HTML: Add format :xml
  * Rename DefaultOptions to ClassOptions
  * Deprecate default_options in favor of options
  * Add Utils.indent_dynamic
  0.6.10
  * Tilt template: Support :outvar and save/restore buffer to make the behaviour compatible with ERB
* Mon Nov  3 2014 tboerger@suse.com
- Added last missing bits for new macros
* Mon Oct 13 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Fri Oct  4 2013 coolo@suse.com
- updated to version 0.6.7
  * HTML::Pretty - change some block level tags
  * Reduce memory allocations in immutable hash
* Thu Aug  1 2013 coolo@suse.com
- updated to version 0.6.6
  * Use default encoding utf-8
  * Escape also '
  * Try to load escape_utils by default
* Fri May 24 2013 coolo@suse.com
- updated to version 0.6.5
  * Added Filters::CodeMerger
  * Added Filters::Encoding
  * Added Filters::RemoveBOM
  * Added Generators::ERB
* Sat Apr 20 2013 coolo@suse.com
- updated to version 0.6.4
  * Check for ActionView instead of Rails (#72)
* Fri Apr 12 2013 coolo@suse.com
- updated to version 0.6.3
  * Fix HTML escaping for HTML::Pretty (Issue #69)
* Sun Mar  3 2013 coolo@suse.com
- initial package (version 0.6.2)
